if (( $+commands[pay-respects] )); then
  alias f="$(pay-respects zsh)"
fi

if (( $+commands[navi] )); then
  eval "$(navi widget zsh)"
  alias wtf="navi"
  alias help="navi"
fi

alias rzsh="source ~/.zshrc && echo 'Successfully reloaded zsh!'"
alias aliases="${EDITOR} $ZSH_CUSTOM/aliases.zsh && rzsh"
alias func="${EDITOR} $ZSH_CUSTOM/func.zsh && rzsh"
alias zshrc="${EDITOR} ~/.zshrc && rzsh"
alias zshconfig="zshrc"
alias zshcustom="${EDITOR} $ZSH_CUSTOM && rzsh"
alias ohmyzsh="${EDITOR} ~/.oh-my-zsh && rzsh"
alias vi="${EDITOR}"
alias vim="${EDITOR}"
alias nano="${EDITOR}"

if (( $+commands[yay] )); then
  alias aur="yay"
  alias yaystats="yay -P --stats"
  alias pacstats="yaystats"
fi

if (( $+commands[bat] )); then
  alias cat="bat"
fi

if (( $+commands[eza] )); then
  local eza_args="--time-style='+%Y-%m-%d %H:%M' --icons"
  alias ls="eza ${eza_args}"
  alias l="eza -lgh ${eza_args}"
fi

if (( $+commands[cpg] )); then
  alias cp="cpg"
fi

if (( $+commands[mvg] )); then
  alias mv="mvg"
fi

if (( $+commands[lazygit] )); then
  alias lg="lazygit"
fi
if (( $+commands[lazydocker] )); then
 alias lad="lazydocker"
fi

if (( $+commands[yay] )); then
  # this lists packages installed with pacman by size in mebibytes
  alias pacsize="yay -Qi | egrep '^(Name|Version|Installed)' | cut -f2 -d':' | paste - - - | column -t | sort -nrk 3 | grep MiB | bat --language=packages --style numbers,grid"
fi

if (( $+commands[nvidia-smi] )); then
  alias driver="nvidia-smi"
fi
if (( $+commands[nvidia-settings] )); then
  alias gpu="sudo nvidia-settings"
fi
if (( $+commands[forgejo-runner] )); then
  alias runactions="forgejo-runner exec --network=host --default-actions-url=https://www.coastalcommits.com --gitea-instance=https://www.coastalcommits.com"
fi
if (( $+commands[tailscale] )); then
  alias taildrop="tailscale file"
fi

alias protontricks="flatpak run com.github.Matoking.protontricks"
alias sober="flatpak run org.vinegarhq.Sober"
alias c="clear"
alias sudo="sudo "
